EntityManagerFactoryBuilder
Date: 2016-06-25

org.osgi.service.jpa

## Interface EntityManagerFactoryBuilder

-     public interface EntityManagerFactoryBuilder

  This service interface offers JPA clients the ability to create instances of EntityManagerFactory for a given named persistence unit. A service instance will be created for each named persistence unit and can be filtered by comparing the value of the osgi.unit.name property containing the persistence unit name. This service is used specifically when the caller wants to pass in factory-scoped properties as arguments. If no properties are being used in the creation of the EntityManagerFactory then the basic EntityManagerFactory service should be used.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `JPA_UNIT_NAME` The name of the persistence unit.
    `static java.lang.String` | `JPA_UNIT_PROVIDER` The class name of the provider that registered the service and implements the JPA javax.persistence.PersistenceProvider interface.
    `static java.lang.String` | `JPA_UNIT_VERSION` The version of the persistence unit bundle.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.persistence.EntityManagerFactory` | `createEntityManagerFactory(java.util.Map<java.lang.String,java.lang.Object> props)` Return an EntityManagerFactory instance configured according to the properties defined in the corresponding persistence descriptor, as well as the properties passed into the method.

- - ### Field Detail

    - #### JPA_UNIT_NAME

          static final java.lang.String JPA_UNIT_NAME

      The name of the persistence unit.
      See Also:
        Constant Field Values

    - #### JPA_UNIT_VERSION

          static final java.lang.String JPA_UNIT_VERSION

      The version of the persistence unit bundle.
      See Also:
        Constant Field Values

    - #### JPA_UNIT_PROVIDER

          static final java.lang.String JPA_UNIT_PROVIDER

      The class name of the provider that registered the service and implements the JPA javax.persistence.PersistenceProvider interface.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### createEntityManagerFactory

          javax.persistence.EntityManagerFactory createEntityManagerFactory(java.util.Map<java.lang.String,java.lang.Object> props)

      Return an EntityManagerFactory instance configured according to the properties defined in the corresponding persistence descriptor, as well as the properties passed into the method.
      Parameters:
        `props` - Properties to be used, in addition to those in the persistence descriptor, for configuring the EntityManagerFactory for the persistence unit.
      Returns:
        An EntityManagerFactory for the persistence unit associated with this service. Must not be null.